<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="skip-content" role="main">

	<?php do_action( 'tea_cafe_above_slider' ); ?>

	<?php if( get_theme_mod('tea_cafe_slider_hide_show') != ''){ ?>
		<section id="slider">
			<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
			    <?php $tea_cafe_slider_pages = array();
			    for ( $count = 1; $count <= 4; $count++ ) {
			        $mod = intval( get_theme_mod( 'tea_cafe_slider'. $count ));
			        if ( 'page-none-selected' != $mod ) {
			          $tea_cafe_slider_pages[] = $mod;
			        }
			    }
		      	if( !empty($tea_cafe_slider_pages) ) :
			        $args = array(
			          	'post_type' => 'page',
			          	'post__in' => $tea_cafe_slider_pages,
			          	'orderby' => 'post__in'
			        );
		        	$query = new WP_Query( $args );
		        if ( $query->have_posts() ) :
		          	$i = 1;
		    	?>     
				<div class="carousel-inner" role="listbox">
					<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
						<div <?php if($i == 1){echo 'class="carousel-item fade-in-image active"';} else{ echo 'class="carousel-item fade-in-image"';}?>>
							<div class="container">
								<div class="row">
									<div class="col-lg-7 col-md-7 col-sm-12">
									<?php
										$tea_cafe_slider_effect = get_theme_mod('tea_cafe_slider_effect', '') 
									?>			        
									<div class="content <?php echo ($tea_cafe_slider_effect); ?>">
											<h2><?php the_title(); ?></h2>
											<?php 
												$tea_cafe_slider_excerpt_length = get_theme_mod('tea_cafe_slider_excerpt_length');
											
												if( $tea_cafe_slider_excerpt_length != '15'){?>
												<p class="mb-0"><?php $tea_cafe_excerpt = get_the_excerpt(); echo esc_html( tea_cafe_string_limit_words( $tea_cafe_excerpt, esc_attr(get_theme_mod('tea_cafe_slider_excerpt_length','15') ) )); ?></p>
											<?php } ?>
											<a href="<?php the_permalink(); ?>" class="read-btn sbtn2"><span><?php echo esc_html_e('View More','tea-cafe'); ?></span><span class="screen-reader-text"><?php echo esc_html_e('View More','tea-cafe'); ?></span></a>
										</div>
									</div>
									<div class="col-lg-5 col-md-5 col-sm-12 slide-img">
										<img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" alt="<?php the_title_attribute(); ?> "/>
										<div class="sli-oly"></div>
									</div>
								</div>
							</div>
						</div>
					<?php $i++; endwhile; 
					wp_reset_postdata();?>
				</div>
			    <?php else : ?>
			    	<div class="no-postfound"></div>
	      		<?php endif;
			    endif;?>
			    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
			      	<span class="carousel-control-prev-icon" aria-hidden="true"><i class="fa fa-chevron-left"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Prev','tea-cafe' );?></span>
			    </a>
			    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
			      	<span class="carousel-control-next-icon" aria-hidden="true"><i class="fa fa-chevron-right"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Next','tea-cafe' );?></span>
			    </a>
			</div>
		  	<div class="clearfix"></div>
		</section>
	<?php }?>
	
	<?php do_action('tea_cafe_below_slider'); ?>

	<?php if( get_theme_mod('tea_cafe_service_category_setting') != '' ){?>
		<section id="service-section" class="py-5">

			<?php if(get_theme_mod('tea_cafe_serviceheading') != ''){ ?>
				<div class="service-heading">
						<h3><?php echo esc_html(get_theme_mod('tea_cafe_serviceheading')); ?></h3>
						<div class="heading-brd"></div>
				</div>
			<?php }?>
			<div class="container"> 
				
				<div class="row ">  
					<?php $tea_cafe_catData1 =  get_theme_mod('tea_cafe_service_category_setting');
					if($tea_cafe_catData1){ 
						$args = array(
							'post_type' => 'post',
							'category_name' => $tea_cafe_catData1
						);
						$i=1; ?>
						<?php $query = new WP_Query( $args );
						if ( $query->have_posts() ) :
							while( $query->have_posts() ) : $query->the_post(); ?>
								<div class="col-lg-4 col-md-6 single-service-bx">
									<div class="service-box">
										<a href="<?php the_permalink(); ?>">
										<?php if(has_post_thumbnail()) { ?>
			          						<div class="service-img">
			          							<?php the_post_thumbnail(); ?>
			          						</div>
			          					</a>
			          					<?php }?>
										
										<div class="service-content">
											<a href="<?php the_permalink(); ?>"><h4><?php the_title_attribute(); ?></h4></a>
											<p ><?php $tea_cafe_excerpt = get_the_excerpt(); echo esc_html( tea_cafe_string_limit_words( $tea_cafe_excerpt,10 ) ); ?></p>
											<div class="read-btn">
											<a href="<?php the_permalink(); ?>" ><span><?php echo esc_html_e('View More','tea-cafe'); ?></span></a>

										</div>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
							<?php $i++; endwhile; 
							wp_reset_postdata(); ?>
						<?php else : ?>
							<div class="no-postfound"></div>
						<?php endif; ?>
					<?php }?>
				</div>
			</div>
		</section>
	<?php }?>

	<?php do_action('tea_cafe_below_service_section'); ?>

	<?php if( get_theme_mod('tea_cafe_feature_category_setting') != '' ){?>
		<section id="feature-section" class="py-5">
			<?php if(get_theme_mod('tea_cafe_featureheading') != ''){ ?>
				<div class="service-heading">
					<h3><?php echo esc_html(get_theme_mod('tea_cafe_featureheading')); ?></h3>
					<div class="heading-brd"></div>
				</div>
			<?php }?>
			<div class="container"> 
				<div class="row ">  
					<?php $tea_cafe_catData1 =  get_theme_mod('tea_cafe_feature_category_setting');
					if($tea_cafe_catData1){ 
						$args = array(
							'post_type' => 'post',
							'category_name' => $tea_cafe_catData1,
							'posts_per_page' => get_theme_mod('tea_cafe_feature_number',3)
						);
						$i=1; ?>
						<?php $query = new WP_Query( $args );
						if ( $query->have_posts() ) :
							while( $query->have_posts() ) : $query->the_post(); ?>
								<div class="col-lg-4 col-md-6 single-feature-bx">
									<div class="feature-box">
										<div class="feature-icon">
											<i class="<?php echo esc_attr(get_theme_mod('tea_cafe_feature_icon' . $i, 'fa fa-coffee')); ?>"></i>
											<?php 
											echo '<img alt="features" src="'.get_template_directory_uri().'/assets/images/leaf.png" class="img-responsive" />';
										?>	
										</div>
										<div class="feature-content">
											<a href="<?php the_permalink(); ?>"><h4><?php the_title_attribute(); ?></h4></a>
											<p ><?php $tea_cafe_excerpt = get_the_excerpt(); echo esc_html( tea_cafe_string_limit_words( $tea_cafe_excerpt,8 ) ); ?></p>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
							<?php $i++; endwhile; 
							wp_reset_postdata(); ?>
						<?php else : ?>
							<div class="no-postfound"></div>
						<?php endif; ?>
					<?php }?>
				</div>
			</div>
		</section>
	<?php }?>

	<?php do_action('tea_cafe_below_feature_section'); ?>

	<div class="container">
	  	<?php while ( have_posts() ) : the_post(); ?>
	  		<div class="lz-content">
	        	<?php the_content(); ?>
	        </div>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>


<?php get_footer(); ?>